Package ghidra.framework.plugintool

# Class DeafultPluginPackagingProvider

java.lang.Object
ghidra.framework.plugintool.DeafultPluginPackagingProvider

All Implemented Interfaces:
  `PluginPackagingProvider`

public class DeafultPluginPackagingProvider extends Object implements PluginPackagingProvider
The default plugin package provider that uses the `PluginsConfiguration` to supply packages

- ## Field Summary

  ### Fields inherited from interface ghidra.framework.plugintool.PluginPackagingProvider

  `EXPERIMENTAL_ICON, UNSTABLE_PACKAGE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PluginDescription`
  `getPluginDescription(String pluginClassName)`
  Returns the plugin description for the given plugin class name
  `List<PluginDescription>`
  `getPluginDescriptions()`
  Returns all loaded plugin descriptions
  `List<PluginDescription>`
  `getPluginDescriptions(PluginPackage pluginPackage)`
  Get all plugin descriptions for the given plugin package
  `List<PluginPackage>`
  `getPluginPackages()`
  Returns all known plugin packages
  `List<PluginDescription>`
  `getUnstablePluginDescriptions()`
  Returns all `PluginStatus.UNSTABLE` plugin package descriptions
  `PluginPackage`
  `getUnstablePluginPackage()`
  Returns the plugin package used to house all unstable plugin packages

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getPluginPackages

    public List<PluginPackage> getPluginPackages()
    Description copied from interface: `PluginPackagingProvider`
    Returns all known plugin packages
    Specified by:
      `getPluginPackages` in interface `PluginPackagingProvider`
    Returns:
      the plugin packages

  - ### getPluginDescriptions

    public List<PluginDescription> getPluginDescriptions()
    Description copied from interface: `PluginPackagingProvider`
    Returns all loaded plugin descriptions
    Specified by:
      `getPluginDescriptions` in interface `PluginPackagingProvider`
    Returns:
      the descriptions

  - ### getPluginDescription

    public PluginDescription getPluginDescription(String pluginClassName)
    Description copied from interface: `PluginPackagingProvider`
    Returns the plugin description for the given plugin class name
    Specified by:
      `getPluginDescription` in interface `PluginPackagingProvider`
    Parameters:
      `pluginClassName` - the plugin class name
    Returns:
      the description

  - ### getPluginDescriptions

    public List<PluginDescription> getPluginDescriptions(PluginPackage pluginPackage)
    Description copied from interface: `PluginPackagingProvider`
    Get all plugin descriptions for the given plugin package
    Specified by:
      `getPluginDescriptions` in interface `PluginPackagingProvider`
    Parameters:
      `pluginPackage` - the package
    Returns:
      the descriptions

  - ### getUnstablePluginPackage

    public PluginPackage getUnstablePluginPackage()
    Description copied from interface: `PluginPackagingProvider`
    Returns the plugin package used to house all unstable plugin packages
    Specified by:
      `getUnstablePluginPackage` in interface `PluginPackagingProvider`
    Returns:
      the package

  - ### getUnstablePluginDescriptions

    public List<PluginDescription> getUnstablePluginDescriptions()
    Description copied from interface: `PluginPackagingProvider`
    Returns all `PluginStatus.UNSTABLE` plugin package descriptions
    Specified by:
      `getUnstablePluginDescriptions` in interface `PluginPackagingProvider`
    Returns:
      the descriptions